---
title: Release 2022.9
slug: "2022.9"
---

## Breaking changes

## New features

## Minor changes/fixes

-   \*: cleanup stray print calls
-   \*: remove remaining default creation code in squashed migrations
-   blueprint: fix EntryInvalidError not being handled in tasks
-   blueprints: add meta model to apply blueprint within blueprint for dependencies (#3486)
-   blueprints: don't export events by default and exclude anonymous user
-   blueprints: OCI registry support (#3500)
-   blueprints: use correct log level when re-logging import validation logs
-   core: fix custom favicon not being set correctly on load
-   core: improve error template (#3521)
-   crypto: add command to import certificates
-   events: fix MonitoredTasks' save_on_success not behaving as expected
-   events: reset task info when not saving on success
-   events: save event to test notification transport
-   flows: fix incorrect diagram for policies bound to flows
-   flows: migrate FlowExecutor error handler to native challenge instead of shell
-   internal: fix outposts not logging flow execution errors correctly
-   internal: optimise outpost's flow executor to use less requests
-   providers/oauth2: add x5c (#3556)
-   providers/proxy: fix routing based on signature in traefik and caddy
-   root: make redis persistent in docker-compose
-   root: re-use custom log helper from config and cleanup duplicate functions
-   sources/ldap: start_tls before binding but without reading server info
-   sources/oauth: use GitHub's dedicated email API when no public email address is configured
-   sources/oauth: use UPN for username with azure AD source
-   stages/authenticator_duo: fix 404 when current user does not have permissions to view stage
-   stages/consent: default to expiring consent instead of always_require
-   tenants: handle all errors in default_locale
-   web/admin: enable blueprint instances by default
-   web/flows: update flow background
-   web/user: justify content on user settings page on desktop

## Upgrading

This release does not introduce any new requirements.

### docker-compose

Download the docker-compose file for 2022.9 from [here](https://goauthentik.io/version/2022.9/docker-compose.yml). Afterwards, simply run `docker-compose up -d`.

### Kubernetes

Update your values to use the new images:

```yaml
image:
    repository: ghcr.io/goauthentik/server
    tag: 2022.9.1
```
